Cluster Sandbox Connection Error

Hi,

I am on Mac and I am using MongoDB shell version v3.4.21.
I created a sandbox but I am unable to make a connection with Monho shell. Can you help?

mongo “mongodb://sandbox0-shard-00-00-akelh.mongodb.net:27017,sandbox0-shard-00-01-akelh.mongodb.net:27017,sandbox0-shard-00-02-akelh.mongodb.net:27017/test?replicaSet=Sandbox0-shard-0” --ssl --authenticationDatabase admin --username m001-student --password m001-mongodb-basics

These are the errors I got:
No primary detected for set Sandbox0-shard-0
2019-07-31T22:31:18.723-0400 I NETWORK [thread1] All nodes for set Sandbox0-shard-0 are down. This has happened for 21 checks in a row.

I am able to reach port 27017.

Thanks!
Lav

I am able to connect with your command
May be version of string
Try with higher version

mongo “mongodb://sandbox0-shard-00-00-akelh.mongodb.net:27017,sandbox0-shard-00-01-akelh.mongodb.net:27017,sandbox0-shard-00-02-akelh.mongodb.net:27017/test?replicaSet=Sandbox0-shard-0” --ssl --authenticationDatabase admin --username m001-student --password m001-mongodb-basics
MongoDB shell version v4.0.5
connecting to: mongodb://sandbox0-shard-00-00-akelh.mongodb.net:27017

MongoDB server version: 4.0.11
Error while trying to show server startup warnings: user is not allowed to do action [getLog] on [admin.]

MongoDB Enterprise Sandbox0-shard-0:PRIMARY> db
test

1 Like

Hi @Lavina_84886,

I am able to connect to your cluster using the connection string that you have provided. Currently, you are using MongoDB shell version v3.4.21. I would recommend you to install the latest version of the MongoDB Enterprise.

If the issue still persists, feel free to get back to us. Happy Learning :slight_smile:

Thanks,
Shubham Ranjan
Curriculum Support Engineer

Hi,

I don’t think I can use higher MongoDB version because my Mac OS version is 10.9.5… Is that correct? If so, in that case, what else can I do?

Today I got another error though using the same connection string.

MongoDB shell version v3.4.21

connecting to: mongodb://%E2%80%9Cmongodb:/%2Fsandbox0-shard-00-00-akelh.mongodb.net%3A27017%2Csandbox0-shard-00-01-akelh.mongodb.net%3A27017%2Csandbox0-shard-00-02-akelh.mongodb.net%3A27017%2Ftest%3FreplicaSet%3DSandbox0-shard-0%E2%80%9D

2019-08-01T23:17:17.817-0400 E QUERY [thread1] Error: No digits :

connect@src/mongo/shell/mongo.js:240:13

@(connect):1:6

exception: connect failed

Thanks

Hi @Lavina_84886,

You should be able to install the latest version of the MongoDB Enterprise on your Mac computer without any difficulty. Once you have the latest version of the mongo shell installed on your computer, please try to connect to your cluster.

If you still face any issue, feel free to get back to us. Happy Learning :slight_smile:

Thanks,
Shubham Ranjan
Curriculum Support Engineer

Hi,

This doesn’t work like I mentioned because I have Mac OS 10.9.5 (I researched online but I could be wrong). Thoughts?

dyld: Symbol not found: _fchmodat
Referenced from: /Users/a/mongodb-osx-x86_64-4.0.11/bin/mongo
Expected in: /usr/lib/libSystem.B.dylib
in /Users/a/mongodb-osx-x86_64-4.0.11/bin/mongo
Trace/BPT trap: 5

Tried Enterprise version as well but got the same error

dyld: Symbol not found: _fchmodat
Referenced from: /Users/Lavina/mongodb-osx-x86_64-enterprise-4.0.11/bin/mongo
Expected in: /usr/lib/libSystem.B.dylib
in /Users/Lavina/mongodb-osx-x86_64-enterprise-4.0.11/bin/mongo
Trace/BPT trap: 5

Thanks

Anyone can help please?

May be version compatibility issues
Please check these links.May help
https://jira.mongodb.org/browse/SERVER-35697

Hi @Lavina_84886,

@Ramachandra_37567 Great Search!!!

@Lavina_84886 you can refer to MongoDB Documentation for more details on installing MongoBD Enterprise on Mac OS.

Note: MongoDB only supports macOS versions 10.11 and later on Intel x86-64.

Please try upgrading your Mac OS version and let me know, if you still face any issues.

Thanks,
Sonali